language: python
sudo: false

branches:
only:
  - master

os: 
  - linux
  - osx

before_install:

install:
  # We do this conditionally because it saves us some downloading if the
  # version is the same.
  - if [ "$TRAVIS_OS_NAME" == "linux" ]; then
      if [ "$TRAVIS_PYTHON_VERSION" == "2.7" ]; then
        wget https://repo.continuum.io/miniconda/Miniconda-latest-Linux-x86_64.sh -O miniconda.sh;
      else
        wget https://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh -O miniconda.sh;
      fi
    else
      if ["$TRAVIS_PYTHON_VERSION" == "2.7"]; then
        curl -o miniconda.sh  https://repo.continuum.io/miniconda/Miniconda3-latest-MacOSX-x86_64.sh;
      else
        curl -o miniconda.sh  https://repo.continuum.io/miniconda/Miniconda-latest-MacOSX-x86_64.sh;
      fi
    fi
  - bash miniconda.sh -b -p $HOME/miniconda
  - export PATH="$HOME/miniconda/bin:$PATH"
  - hash -r
  - conda config --set always_yes yes --set changeps1 no
  - conda update -q conda
  # Useful for debugging any issues with conda
  - conda info -a

  - conda env create
  - source activate plio

  # Development installation
  - conda install nose coverage
  - pip install coveralls

  # Install sh and binstar to support upload to Anaconda
  - conda install sh anaconda-client

script:
  - nosetests --with-coverage --cover-package=plio
  # After test success, package and upload to Anaconda
  - python build.py --project plio

after_success:
  - coveralls

notifications:
  webhooks:
    on_success: always
    on_failure: always
    on_start: never
  email:
      recipients:
        - jlaura@usgs.gov
      on_success: always
      on_failure: always
